Re: [Jastadd] Problem with package-name clashes

From: Jesper qvist <jesper.oqvist_at_cs.lth.se>
Date: Thu, 10 Jan 2013 15:23:50 +0100

Hi Eric,

The example project compiles fine with JastAddJ. I tried with the latest
version and the Java 5 and 7 backends.

Do you know what version of JastAddJ your soot uses?

/Jesper

On 01/10/2013 10:29 AM, Eric Bodden wrote:
> Hi Jesper.
>
> Attached is a minimal eclipse project that raises the error when being
> compiled with Soot using the JastAdd frontend. I strongly suspect that
> the issue is actually in the JastAdd frontend itself (i.e., not Soot
> related).
>
> Eric
>
> On 10 January 2013 09:02, Jesper qvist <jesper.oqvist_at_cs.lth.se> wrote:
>> This was not a known issue.
>>
>> Do you have a short example code snippet that exposes the error?
>>
>> Thank you,
>> /Jesper
>>
>>
>> On 01/10/2013 08:51 AM, Eric Bodden wrote:
>>> Hi again.
>>>
>>> We have recently observed the problem that if there exists a class
>>> foo.Event and also a Package foo.event then JastAdd gives an error
>>> message "duplicate member class and package Event". I think such code
>>> should be accepted, though. Is this a known issue?
>>>
>>> Eric
>>
>> _______________________________________________
>> JastAdd mailing list
>> JastAdd_at_cs.lth.se
>> https://mail1.cs.lth.se/cgi-bin/mailman/listinfo/jastadd
>
>
Received on Thu Jan 10 2013 - 15:23:25 CET

This archive was generated by hypermail 2.3.0 : Wed Apr 16 2014 - 17:19:06 CEST